#!/bin/sh

COMMAND=$1
DESTFOLDER=$2/$3
DISTFILE=$4
DBHOST=$5
DBNAME=$6
DBUSER=$7
DBPASS=$8

case $COMMAND in 
  install)
    TMP=`mktemp -d /tmp/Wap-Motor.XXXXXX`
    cd $TMP
    trap "cd /; rm -rf $TMP" EXIT
    unzip $DISTFILE || exit 1 > /dev/null
    cp -R $TMP/* $DESTFOLDER/
    chmod 777 $DESTFOLDER/local
    chmod 777 $DESTFOLDER/local/*
    chmod 666 $DESTFOLDER/local/config.dat
    cp $TMP/.htaccess $DESTFOLDER/.htaccess
    chmod 444 $DESTFOLDER/.htaccess
    mysql --host=$DBHOST --user=$DBUSER --password=$DBPASS $DBNAME < $DESTFOLDER/sql.txt
    cp $DESTFOLDER/includes/db.php $DESTFOLDER/includes/db.php.default
    echo "<?php" > $DESTFOLDER/includes/db.php
    echo '$db["host"]="'$DBHOST'";' >> $DESTFOLDER/includes/db.php
    echo '$db["user"]="'$DBUSER'";' >> $DESTFOLDER/includes/db.php
    echo '$db["pass"]="'$DBPASS'";' >> $DESTFOLDER/includes/db.php
    echo '$db["db"]="'$DBNAME'";' >> $DESTFOLDER/includes/db.php
    tail -n 74 $DESTFOLDER/includes/db.php.default >> $DESTFOLDER/includes/db.php
    ;;
  postinstall)
    rm -f $DESTFOLDER/INSTALL.php $DESTFOLDER/sql.txt $DESTFOLDER/Visavi* $DESTFOLDER/inclides/db.php.default
    ;;
esac

